Create Price
curl --request POST \
--url https://api.example.com/merchant/price/createimport requests
url = "https://api.example.com/merchant/price/create"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/merchant/price/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 404,
"code": "PRODUCT_NOT_FOUND",
"message": "Product not found"
},
"data": null
}
Prices
Create Price
Create a price for a product
POST
/
merchant
/
price
/
create
Create Price
Create a new price for a product.
string
required
Product ID to create price for
string
required
Price amount
string
required
Currency code (USD, EUR, etc.)
boolean
Indicates if the request was successful
string
Price ID
string
Product ID
string
Price amount
string
Currency code
boolean
Whether the price is active
string
Creation timestamp
Example Request
curl -X POST https://api.transaction.gg/merchant/price/create \
-H "Authorization: Bearer jwt_token" \
-H "Content-Type: application/json" \
-d '{
"productId": "prod_X4dUuzsMaruQ4UsX",
"amount": "29.99",
"currency": "USD"
}'
Example Response
{
"success": true,
"data": {
"id": "price_i62wKFQ8sGnLxQ5G",
"productId": "prod_X4dUuzsMaruQ4UsX",
"amount": "29.99",
"currency": "USD",
"active": true,
"createdAt": "2024-01-01T00:00:00Z"
}
}
Error Responses
{
"success": false,
"error": {
"status": 404,
"code": "PRODUCT_NOT_FOUND",
"message": "Product not found"
},
"data": null
}
⌘I